TAP::Formatter::File::Session(3pm)

NAME
TAP::Formatter::File::Session - Harness output delegate for file output

VERSION
Version 3.36

DESCRIPTION
This provides file orientated output formatting for TAP::Harness. It is particularly important when running with parallel tests, as it ensures that test results are not interleaved, even when run verbosely.

METHODS

  result
Stores results for later output, all together.

  close_test
When the test file finishes, outputs the summary, together.